---
title: text-decoration-color
slug: Web/CSS/text-decoration-color
tags:
  - CSS
  - CSS Property
  - CSS Text
  - CSS Text Decoration
  - HTML Colors
  - HTML Styles
  - Reference
  - Styling HTML
  - Styling text
  - color
  - colors
  - 'recipe:css-property'
---
<div>{{ CSSRef }}</div>

<p>The <strong><code>text-decoration-color</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the color of decorations added to text by {{ cssxref("text-decoration-line") }}.</p>

<p>The color applies to decorations, such as underlines, overlines, strikethroughs, and wavy lines like those used to mark misspellings, in the scope of the property's value.</p>

<div>{{EmbedInteractiveExample("pages/css/text-decoration-color.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>CSS does not provide a direct mechanism for specifying a unique color for each line type. This effect can nevertheless be achieved by nesting elements, applying a different line type to each element (with the {{cssxref("text-decoration-line")}} property), and specifying the line color (with <code>text-decoration-color</code>) on a per-element basis.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;color&gt; values */
text-decoration-color: currentcolor;
text-decoration-color: red;
text-decoration-color: #00ff00;
text-decoration-color: rgba(255, 128, 128, 0.5);
text-decoration-color: transparent;

/* Global values */
text-decoration-color: inherit;
text-decoration-color: initial;
text-decoration-color: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt>{{cssxref("&lt;color&gt;")}}</dt>
	<dd>The color of the line decoration.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>It is important to ensure that the contrast ratio between the color of the text, the background the text is placed over, and the text decoration line is high enough that people experiencing low vision conditions will be able to read the content of the page. Color contrast ratio is determined by comparing the luminosity of the text and background color values.</p>

<p>Color alone should not be used to convey meaning. For example, change of text and text-decoration-color alone is not enough to indicate a link has focus.</p>

<ul>
	<li><a href="https://webaim.org/resources/contrastchecker/">WebAIM: Color Contrast Checker</a></li>
	<li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
	<li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-contrast.html">Understanding Success Criterion 1.4.3 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<pre class="brush: html notranslate">&lt;p&gt;This paragraph has &lt;s&gt;some erroneous text&lt;/s&gt;
    inside it that I want to call attention to.&lt;/p&gt;</pre>

<pre class="brush: css notranslate">p {
  text-decoration-line: underline;
  text-decoration-color: cyan;
}

s {
  text-decoration-line: line-through;
  text-decoration-color: red;
  text-decoration-style: wavy;
}</pre>

<p>{{ EmbedLiveSample('Examples') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('CSS3 Text Decoration', '#text-decoration-color-property', 'text-decoration-color') }}</td>
			<td>{{ Spec2('CSS3 Text Decoration') }}</td>
			<td>Initial definition. The {{cssxref("text-decoration")}} property is now a shorthand to define multiple related properties.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-decoration-color")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>When setting multiple line-decoration properties at once, it may be more convenient to use the {{cssxref("text-decoration")}} shorthand property instead.</li>
	<li>The {{cssxref("&lt;color&gt;")}} data type</li>
	<li>Other color-related properties: {{cssxref("background-color")}}, {{cssxref("border-color")}}, {{cssxref("outline-color")}}, {{cssxref("text-decoration-color")}}, {{cssxref("text-emphasis-color")}}, {{cssxref("text-shadow")}}, {{cssxref("caret-color")}}, and {{cssxref("column-rule-color")}}</li>
	<li><a href="/en-US/docs/Web/HTML/Applying_color">Applying color to HTML elements using CSS</a></li>
</ul>
